[SRU][Zesty]QDF2400 kernel oops on ipmitool fru write 0 fru.bin

Bug #1689886 reported by Manoj Iyer
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Manoj Iyer
Nominated for Zesty by Thadeu Lima de Souza Cascardo

Bug Description

[Impact]
$ sudo ipmitool fru print 0
 Chassis Type : Rack Mount Chassis
 Chassis Part Number : ............
 Chassis Serial : ............
 Board Mfg Date : Wed Jan 4 14:18:00 2017
 Board Mfg : WIWYNN
 Board Product : REP Board
 Board Serial : 12345
 Board Part Number : ............
 Product Manufacturer : WIWYNN
 Product Name : REP
 Product Part Number : ..........
 Product Version : EVT
 Product Serial : ........................
 Product Asset Tag :
ubuntu@ubuntu:~/FRU$

ubuntu@ubuntu:~/FRU$ sudo ipmitool fru write 0 fru.bin
Fru Size : 1024 bytes
Size to Write : 256 bytes
[ 1815.412463] Unable to handle kernel NULL pointer dereference at virtual address 00000025
[ 1815.419668] pgd = ffff219ca2168000
[ 1815.422986] [00000025] *pgd=00000003ee08d003, *pud=00000003ee08e003, *pmd=0000000000000000
[ 1815.431225] Internal error: Oops: 96000004 [#1] SMP
[ 1815.436086] Modules linked in: ipmi_devintf nls_utf8 nls_cp437 vfat fat aes_ce_blk ablk_helper cryptd aes_ce_cipher ghash_ce sha2_ce efi_pstore sha1_ce sg efivars ipmi_ssif ipmi_msghandler cppc_cpufreq i2c_qup i2c_core efivarfs autofs4 ext4 crc16 jbd2 mbcache sd_mod ahci_platform libahci_platform libahci xhci_plat_hcd libata xhci_hcd scsi_mod usbcore msm_emac sdhci_acpi sdhci usb_common pinctrl_qdf2xxx
[ 1815.471677] CPU: 7 PID: 1950 Comm: kssif0042 Not tainted 4.7.0-2-generic #5~pdaw1.0+bandera.9-Ubuntu
[ 1815.480789] Hardware name: Default string Default string/Default string, BIOS 5.12 12/12/2012
[ 1815.489296] task: ffffedf1aa074380 ti: ffffedf1a7820000 task.ti: ffffedf1a7820000
[ 1815.496772] PC is at ipmi_ssif_thread+0x84/0x128 [ipmi_ssif]
[ 1815.502407] LR is at ipmi_ssif_thread+0x6c/0x128 [ipmi_ssif]
[ 1815.508046] pc : [<ffff219c9d09f614>] lr : [<ffff219c9d09f5fc>] pstate: 00400145
[ 1815.515424] sp : ffffedf1a7823de0
[ 1815.518723] x29: ffffedf1a7823de0 x28: 0000000000000000
[ 1815.524018] x27: 0000000000000000 x26: 0000000000000000
[ 1815.529313] x25: 0000000000000000 x24: 0000000000000000
[ 1815.534608] x23: ffffedeeb9dbba08 x22: ffff219c9d0a3000
[ 1815.539903] x21: ffff219c9d0a2420 x20: ffffedeeb9dbba00
[ 1815.545198] x19: ffffedeeb9dbb800 x18: 0000000000000014
[ 1815.550494] x17: 0000000000000000 x16: 0000000000000000
[ 1815.555789] x15: 0000000000000000 x14: 0000000000000000
[ 1815.561084] x13: 0000000000000000 x12: 071c71c71c71c71c
[ 1815.566379] x11: 00000000000000ba x10: 0000000000000960
[ 1815.571674] x9 : 0000000000000040 x8 : ffffedf1ad000028
[ 1815.576969] x7 : 0000000000000000 x6 : ffffedf1aa9f9600
[ 1815.582264] x5 : ffffedf1ad000000 x4 : 0000000000000000
[ 1815.587560] x3 : 0000000000000026 x2 : 0000000000000025
[ 1815.592855] x1 : 0000000000000007 x0 : ffffedf1aa2e4c00
[ 1815.598150]
[ 1815.599626] Process kssif0042 (pid: 1950, stack limit = 0xffffedf1a7820020)
[ 1815.606571] Stack: (0xffffedf1a7823de0 to 0xffffedf1a7824000)
[ 1815.612301] 3de0: ffffedf1a7823e20 ffff219ca122cb1c ffffedf1ab9d5800 ffff219ca20cdfa8
[ 1815.620113] 3e00: ffff219ca1aa2ee8 ffffedeeb9dbb800 ffff219c9d09f590 ffffedeeb9dbb800
[ 1815.627925] 3e20: 0000000000000000 ffff219ca11c4f10 ffff219ca122ca30 ffffedf1ab9d5800
[ 1815.635737] 3e40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.643550] 3e60: 0000000000000000 ffff219ca12399a8 ffffedeeb9dbb800 ffffedf100000000
[ 1815.651363] 3e80: 0000000000000000 ffffedf1a7823e88 ffffedf1a7823e88 0000000000000000
[ 1815.659175] 3ea0: 0000000000000000 ffffedf1a7823ea8 ffffedf1a7823ea8 cb88537fdc8ba500
[ 1815.666987] 3ec0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.674800] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.682612] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.690425] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.698237] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.706050] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.713862] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.721675] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.729487] 3fc0: 0000000000000000 0000000000000005 0000000000000000 0000000000000000
[ 1815.737300] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[ 1815.745112] Call trace:
[ 1815.747543] Exception stack(0xffffedf1a7823bf0 to 0xffffedf1a7823d20)
[ 1815.753966] 3be0: ffffedeeb9dbb800 0001000000000000
[ 1815.761779] 3c00: ffffedf1a7823de0 ffff219c9d09f614 0000000000400145 ffff219c9d0067c0
[ 1815.769592] 3c20: ffffedf1a5a59840 0000000000000005 0000000000000000 0000000000000042
[ 1815.777404] 3c40: 0000000000000006 0000000000000000 ffffedf1a7823db0 0000000000000000
[ 1815.785217] 3c60: 0000000000000000 ffff219ca1878a7c 7fffffffffffffff ffff219ca1875158
[ 1815.793029] 3c80: ffffedf1a7823d30 ffff002200000042 ffffedf1a7823cd0 ffff000000010042
[ 1815.800842] 3ca0: ffffedf1a7823ca8 cb88537fdc8ba500 ffffedf1aa2e4c00 0000000000000007
[ 1815.808654] 3cc0: 0000000000000025 0000000000000026 0000000000000000 ffffedf1ad000000
[ 1815.816467] 3ce0: ffffedf1aa9f9600 0000000000000000 ffffedf1ad000028 0000000000000040
[ 1815.824279] 3d00: 0000000000000960 00000000000000ba 071c71c71c71c71c 0000000000000000
[ 1815.832094] [<ffff219c9d09f614>] ipmi_ssif_thread+0x84/0x128 [ipmi_ssif]
[ 1815.838781] [<ffff219ca122cb1c>] kthread+0xec/0x100
[ 1815.843639] [<ffff219ca11c4f10>] ret_from_fork+0x10/0x40
[ 1815.848933] Code: f9411a62 350002c0 91000443 f940f660 (39400042)
[ 1815.855021] ---[ end trace db5a5cd0dc6b9dc4 ]---
No data available

[Regression Potential]
The patch to fix this issue is to the ipmi_ssif driver, it will have potential impact on systems using ipmi_ssif for ipmi interface and supports FRU writes.

[Test]
Listed in the impact statement. Further test results will be posted to this bug as comments.

[Fix]
Linus tree: 6de65fcfdb51 ipmi: Fix kernel panic at ipmi_ssif_thread()

CVE References

Manoj Iyer (manjo)
description: updated
Revision history for this message
Brad Figg (brad-figg) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1689886

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Manoj Iyer (manjo) wrote : [Bug #1689886] Please test this kernel and report results for SRU.

Jeff,

Could you please test the kernel in PPA
https://launchpad.net/~centriq-team/+archive/ubuntu/test/ that has
Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on a
QDF2400 REP system and report your results?
http://bugs.launchpad.net/bugs/1689886

When you report the test results please include the output of the
working ipmi command.

Thanks
Manoj Iyer

Revision history for this message
Jeffrey Hugo (jhugo-o) wrote :

Yep, I’ll have it tested.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Wednesday, May 10, 2017 10:00 PM
To: Jeff Hugo <email address hidden>; <email address hidden>
Cc: Joseph Chang <email address hidden>
Subject: [Bug #1689886] Please test this kernel and report results for SRU.

Jeff,

Could you please test the kernel in PPA https://launchpad.net/~centriq-team/+archive/ubuntu/test/ <%20https:/launchpad.net/~centriq-team/+archive/ubuntu/test/%20> that has Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on a QDF2400 REP system and report your results? http://bugs.launchpad.net/bugs/1689886 <%20http:/bugs.launchpad.net/bugs/1689886%20>

When you report the test results please include the output of the working ipmi command.

Thanks
Manoj Iyer

Revision history for this message
joseph chang (joseph417) wrote :

Hi,

I already test the patch on REP and it really fix the kernel panic issue.
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06

Thank you,
Joseph.
From: Jeff Hugo
Sent: Thursday, May 11, 2017 9:28 PM
To: Manoj Iyer <email address hidden>; <email address hidden>
Cc: Joseph Chang <email address hidden>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Yep, I’ll have it tested.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Wednesday, May 10, 2017 10:00 PM
To: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: [Bug #1689886] Please test this kernel and report results for SRU.

Jeff,

Could you please test the kernel in PPA https://launchpad.net/~centriq-team/+archive/ubuntu/test/ <%20https:/launchpad.net/~centriq-team/+archive/ubuntu/test/%20> that has Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on a QDF2400 REP system and report your results? http://bugs.launchpad.net/bugs/1689886 <%20http:/bugs.launchpad.net/bugs/1689886%20>

When you report the test results please include the output of the working ipmi command.

Thanks
Manoj Iyer

Revision history for this message
Manoj Iyer (manjo) wrote :

Joseph,

Thanks for testing. Have you tested the kernel in the centriq test PPA
with the patch applied? Or was it an upstream kernel? If you tested the
kernel in centriq test PPA could you please post your test results here?

Thanks
Manoj
On Thu, May 11, 2017 at 11:09 AM, Joseph Chang
<email address hidden> wrote:
> Hi,
>
> I already test the patch on REP and it really fix the kernel panic
> issue.
> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06
>
> Thank you,
> Joseph.
> From: Jeff Hugo
> Sent: Thursday, May 11, 2017 9:28 PM
> To: Manoj Iyer <email address hidden>; <email address hidden>
> Cc: Joseph Chang <email address hidden>
> Subject: RE: [Bug #1689886] Please test this kernel and report
> results for SRU.
>
> Yep, I’ll have it tested.
>
> Jeffrey Hugo
> Senior Engineer
> Qualcomm Datacenter Technologies, Inc.
> 1-303-247-5002
>
> From: Manoj Iyer [mailto:<email address hidden>]
> Sent: Wednesday, May 10, 2017 10:00 PM
> To: Jeff Hugo <email address hidden>; <email address hidden>
> Cc: Joseph Chang <email address hidden>
> Subject: [Bug #1689886] Please test this kernel and report results
> for SRU.
>
> Jeff,
>
> Could you please test the kernel in PPA
> https://launchpad.net/~centriq-team/+archive/ubuntu/test/ that has
> Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on
> a QDF2400 REP system and report your results?
> http://bugs.launchpad.net/bugs/1689886
>
> When you report the test results please include the output of the
> working ipmi command.
>
> Thanks
> Manoj Iyer

Revision history for this message
Jeffrey Hugo (jhugo-o) wrote :

Manoj, how do you recommend utilizing the PPA?

I downloaded the debian packages for linux-image and headers, used dpkg to install, and while it boots, many of the drivers are missing, so the test case cannot be executed. I attempted to go through DI, but pointing DI to the test PPA does not seem to install the correct kernel, and leaves the system in a non-bootable state.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Thursday, May 11, 2017 10:16 AM
To: Joseph Chang <email address hidden>
Cc: Jeff Hugo <email address hidden>; <email address hidden>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Joseph,

Thanks for testing. Have you tested the kernel in the centriq test PPA with the patch applied? Or was it an upstream kernel? If you tested the kernel in centriq test PPA could you please post your test results here?

Thanks
Manoj
On Thu, May 11, 2017 at 11:09 AM, Joseph Chang <<email address hidden><mailto:<email address hidden>>> wrote:

Hi,

I already test the patch on REP and it really fix the kernel panic issue.
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06

Thank you,
Joseph.
From: Jeff Hugo
Sent: Thursday, May 11, 2017 9:28 PM
To: Manoj Iyer <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Yep, I’ll have it tested.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Wednesday, May 10, 2017 10:00 PM
To: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: [Bug #1689886] Please test this kernel and report results for SRU.

Jeff,

Could you please test the kernel in PPA https://launchpad.net/~centriq-team/+archive/ubuntu/test/ <%20https:/launchpad.net/~centriq-team/+archive/ubuntu/test/%20> that has Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on a QDF2400 REP system and report your results? http://bugs.launchpad.net/bugs/1689886 <%20http:/bugs.launchpad.net/bugs/1689886%20>

When you report the test results please include the output of the working ipmi command.

Thanks
Manoj Iyer

Revision history for this message
joseph chang (joseph417) wrote :
Download full text (3.3 KiB)

Thank you Manoj,

Sorry~
I don’t know how to download kernel in the centriq test PPA with the patch applied.
I just applied my patch to qcom internal kernel before I submit patch to upstream kernel.
If you can share detail step here … I can try it tomorrow … ☺

Thank you,
Joseph.
From: Jeff Hugo
Sent: Friday, May 12, 2017 12:54 AM
To: Manoj Iyer <email address hidden>; Joseph Chang <email address hidden>
Cc: <email address hidden>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Manoj, how do you recommend utilizing the PPA?

I downloaded the debian packages for linux-image and headers, used dpkg to install, and while it boots, many of the drivers are missing, so the test case cannot be executed. I attempted to go through DI, but pointing DI to the test PPA does not seem to install the correct kernel, and leaves the system in a non-bootable state.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Thursday, May 11, 2017 10:16 AM
To: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Cc: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Joseph,

Thanks for testing. Have you tested the kernel in the centriq test PPA with the patch applied? Or was it an upstream kernel? If you tested the kernel in centriq test PPA could you please post your test results here?

Thanks
Manoj
On Thu, May 11, 2017 at 11:09 AM, Joseph Chang <<email address hidden><mailto:<email address hidden>>> wrote:
Hi,

I already test the patch on REP and it really fix the kernel panic issue.
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06

Thank you,
Joseph.
From: Jeff Hugo
Sent: Thursday, May 11, 2017 9:28 PM
To: Manoj Iyer <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Yep, I’ll have it tested.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Wednesday, May 10, 2017 10:00 PM
To: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: [Bug #1689886] Please test this kernel and report results for SRU.

Jeff,

Could you please test the kernel in PPA https://launchpad.net/~centriq-team/+archive/ubuntu/test/ <%20https:/launchpad.net/~centriq-team/+archive/ubuntu/test/%20> that has Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread() on a QDF2400 REP system and report your results? http://bugs.launchpad.ne...

Read more...

Revision history for this message
Manoj Iyer (manjo) wrote :
Download full text (3.3 KiB)

On Thu, May 11, 2017 at 11:54 AM, Jeff Hugo <email address hidden>
wrote:
> Manoj, how do you recommend utilizing the PPA?
>
> I downloaded the debian packages for linux-image and headers, used
> dpkg to install, and while it boots, many of the drivers are missing,
> so the test case cannot be executed.

The instructions to add the ppa and install the kernel etc are in the
PPA:
https://launchpad.net/~centriq-team/+archive/ubuntu/test/

in brief:
sudo add-apt-repository ppa:centriq-team/test
sudo apt-get update
sudo apt-get install linux-image-4.10.0-20-generic
linux-image-extra-4.10.0-20-generic

If you have multiple versions of the kernel installed on your system
and if you want to stop at the grub menu to select your kernel... you
need to edit /etc/default/grub and comment out "GRUB_HIDDEN_TIMEOUT=0"
before you install the kernel package (if you edited after you
installed you can just run sudo update-grub2). This will drop you into
the grub menu, where you can go into the "Advanced" tab and select the
kernel you want to boot.

> I attempted to go through DI, but pointing DI to the test PPA does
> not seem to install the correct kernel, and leaves the system in a
> non-bootable state.

>
> Jeffrey Hugo
> Senior Engineer
> Qualcomm Datacenter Technologies, Inc.
> 1-303-247-5002
>
> From: Manoj Iyer [mailto:<email address hidden>]
> Sent: Thursday, May 11, 2017 10:16 AM
> To: Joseph Chang <email address hidden>
> Cc: Jeff Hugo <email address hidden>; <email address hidden>
> Subject: RE: [Bug #1689886] Please test this kernel and report
> results for SRU.
>
> Joseph,
>
> Thanks for testing. Have you tested the kernel in the centriq test
> PPA with the patch applied? Or was it an upstream kernel? If you
> tested the kernel in centriq test PPA could you please post your test
> results here?
>
> Thanks
> Manoj
> On Thu, May 11, 2017 at 11:09 AM, Joseph Chang
> <email address hidden> wrote:
>
>> Hi,
>>
>> I already test the patch on REP and it really fix the kernel panic
>> issue.
>> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06
>>
>> Thank you,
>> Joseph.
>> From: Jeff Hugo
>> Sent: Thursday, May 11, 2017 9:28 PM
>> To: Manoj Iyer <email address hidden>; <email address hidden>
>> Cc: Joseph Chang <email address hidden>
>> Subject: RE: [Bug #1689886] Please test this kernel and report
>> results for SRU.
>>
>> Yep, I’ll have it tested.
>>
>> Jeffrey Hugo
>> Senior Engineer
>> Qualcomm Datacenter Technologies, Inc.
>> 1-303-247-5002
>>
>> From: Manoj Iyer [mailto:<email address hidden>]
>> Sent: Wednesday, May 10, 2017 10:00 PM
>> To: Jeff Hugo <email address hidden>; <email address hidden>
>> Cc: Joseph Chang <email address hidden>
>> Subject: [Bug #1689886] Please test this kernel and report results
>> for SRU.
>>
>> Jeff,
>>
>> Could you please test the kernel in PPA
>> https://launchpad.net/~centriq-team/+archive/ubuntu/test/ that has
>> Joeseph Chang's patch ipmi: Fix kernel panic at ipmi_ssif_thread()
>> on a QDF2400 REP system and report your results?
...

Read more...

Revision history for this message
Jeffrey Hugo (jhugo-o) wrote :
Download full text (4.1 KiB)

Hmm, that looks like it should work. I wonder why it didn’t seem to go well for me. I’ll give it another shot.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Thursday, May 11, 2017 11:21 AM
To: Jeff Hugo <email address hidden>
Cc: Joseph Chang <email address hidden>; <email address hidden>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

On Thu, May 11, 2017 at 11:54 AM, Jeff Hugo <<email address hidden><mailto:<email address hidden>>> wrote:

Manoj, how do you recommend utilizing the PPA?

I downloaded the debian packages for linux-image and headers, used dpkg to install, and while it boots, many of the drivers are missing, so the test case cannot be executed.

The instructions to add the ppa and install the kernel etc are in the PPA:
https://launchpad.net/~centriq-team/+archive/ubuntu/test/

in brief:
sudo add-apt-repository ppa:centriq-team/test
sudo apt-get update
sudo apt-get install linux-image-4.10.0-20-generic linux-image-extra-4.10.0-20-generic

If you have multiple versions of the kernel installed on your system and if you want to stop at the grub menu to select your kernel... you need to edit /etc/default/grub and comment out "GRUB_HIDDEN_TIMEOUT=0" before you install the kernel package (if you edited after you installed you can just run sudo update-grub2). This will drop you into the grub menu, where you can go into the "Advanced" tab and select the kernel you want to boot.

I attempted to go through DI, but pointing DI to the test PPA does not seem to install the correct kernel, and leaves the system in a non-bootable state.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Thursday, May 11, 2017 10:16 AM
To: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Cc: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Joseph,

Thanks for testing. Have you tested the kernel in the centriq test PPA with the patch applied? Or was it an upstream kernel? If you tested the kernel in centriq test PPA could you please post your test results here?

Thanks
Manoj
On Thu, May 11, 2017 at 11:09 AM, Joseph Chang <<email address hidden><mailto:<email address hidden>>> wrote:
Hi,

I already test the patch on REP and it really fix the kernel panic issue.
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/char/ipmi/ipmi_ssif.c?id=6de65fcfdb51835789b245203d1bfc8d14cb1e06

Thank you,
Joseph.
From: Jeff Hugo
Sent: Thursday, May 11, 2017 9:28 PM
To: Manoj Iyer <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

...

Read more...

Revision history for this message
Jeffrey Hugo (jhugo-o) wrote :
Download full text (6.7 KiB)

Tested on both SDP and REP. You want the following posted on the LP bug?

root@null-8cfdf006971f:/home/ubuntu# uname -a
Linux null-8cfdf006971f 4.10.0-20-generic #22~lp1689886+sru3-Ubuntu SMP Wed May 10 22:01:57 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
root@null-8cfdf006971f:/home/ubuntu#
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 0 fru0.bin
Fru Size : 256 bytes
Done
root@null-8cfdf006971f:/home/ubuntu#
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 1 fru1.bin
Fru Size : 256 bytes
Done
root@null-8cfdf006971f:/home/ubuntu#
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 0
Board Mfg Date : Sun Sep 12 12:55:00 2004
Board Mfg : QUALCOMM
Board Product : ABW|SYS|CVR,2DPC|V3

Board Serial : N10MYKGC4
Board Part Number : 20-P7989-H1S

root@null-8cfdf006971f:/home/ubuntu# uname -a
Linux null-8cfdf006971f 4.10.0-20-generic #22~lp1689886+sru3-Ubuntu SMP Wed May 10 22:01:57 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 0 fru0.bin
Fru Size : 1024 bytes
Done
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 1 fru1.bin
Fru Size : 256 bytes
Done
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 0
Chassis Type : Rack Mount Chassis
Chassis Part Number : B81014010004
Chassis Serial : 7160000CJ0SA
Board Mfg Date : Sat Apr 15 02:36:00 2017
Board Mfg : WIWYNN
Board Product : QDF2400 Customer Reference Board
Board Serial : B5501401D00571200032J0LA
Board Part Number : B81.01410.0019
Product Manufacturer : WIWYNN
Product Name : QDF2400 Reference Evaluation Platform
Product Part Number : CV90-LA115-P900
Product Version : EVT
Product Serial : B810140100047160000CJ0SA
Product Asset Tag :
root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 1
Board Mfg Date : Tue Apr 25 05:46:00 2017
Board Mfg : WIWYNN
Board Product : REP-1 PCIe riser P952
Board Serial : B5501404D0037130000EJ0LA
Board Part Number : B81.01410.0013

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Jeff Hugo
Sent: Thursday, May 11, 2017 11:42 AM
To: 'Manoj Iyer' <email address hidden>
Cc: Joseph Chang <email address hidden>; <email address hidden>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

Hmm, that looks like it should work. I wonder why it didn’t seem to go well for me. I’ll give it another shot.

Jeffrey Hugo
Senior Engineer
Qualcomm Datacenter Technologies, Inc.
1-303-247-5002

From: Manoj Iyer [mailto:<email address hidden>]
Sent: Thursday, May 11, 2017 11:21 AM
To: Jeff Hugo <<email address hidden><mailto:<email address hidden>>>
Cc: Joseph Chang <<email address hidden><mailto:<email address hidden>>>; <email address hidden><mailto:<email address hidden>>
Subject: RE: [Bug #1689886] Please test this kernel and report results for SRU.

On Thu, May 11, 2017 at 11:54 AM, Jeff Hugo <<email address hidden><mailto:<email address hidden>...

Read more...

Revision history for this message
Manoj Iyer (manjo) wrote :
Download full text (6.7 KiB)

Jeff,

Thanks for testing that kernel. The bug was already cced so its all
recorded there. Nothing more to be done from your side. I will send
this patch out to the kernel team for SRU.

On Thu, May 11, 2017 at 3:04 PM, Jeff Hugo <email address hidden>
wrote:
> Tested on both SDP and REP. You want the following posted on the LP
> bug?
>
> root@null-8cfdf006971f:/home/ubuntu# uname -a
> Linux null-8cfdf006971f 4.10.0-20-generic #22~lp1689886+sru3-Ubuntu
> SMP Wed May 10 22:01:57 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
> root@null-8cfdf006971f:/home/ubuntu#
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 0 fru0.bin
> Fru Size : 256 bytes
> Done
> root@null-8cfdf006971f:/home/ubuntu#
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 1 fru1.bin
> Fru Size : 256 bytes
> Done
> root@null-8cfdf006971f:/home/ubuntu#
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 0
> Board Mfg Date : Sun Sep 12 12:55:00 2004
> Board Mfg : QUALCOMM
> Board Product : ABW|SYS|CVR,2DPC|V3
>
> Board Serial : N10MYKGC4
> Board Part Number : 20-P7989-H1S
>
>
>
> root@null-8cfdf006971f:/home/ubuntu# uname -a
> Linux null-8cfdf006971f 4.10.0-20-generic #22~lp1689886+sru3-Ubuntu
> SMP Wed May 10 22:01:57 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 0 fru0.bin
> Fru Size : 1024 bytes
> Done
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru read 1 fru1.bin
> Fru Size : 256 bytes
> Done
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 0
> Chassis Type : Rack Mount Chassis
> Chassis Part Number : B81014010004
> Chassis Serial : 7160000CJ0SA
> Board Mfg Date : Sat Apr 15 02:36:00 2017
> Board Mfg : WIWYNN
> Board Product : QDF2400 Customer Reference Board
> Board Serial : B5501401D00571200032J0LA
> Board Part Number : B81.01410.0019
> Product Manufacturer : WIWYNN
> Product Name : QDF2400 Reference Evaluation Platform
> Product Part Number : CV90-LA115-P900
> Product Version : EVT
> Product Serial : B810140100047160000CJ0SA
> Product Asset Tag :
> root@null-8cfdf006971f:/home/ubuntu# ipmitool fru print 1
> Board Mfg Date : Tue Apr 25 05:46:00 2017
> Board Mfg : WIWYNN
> Board Product : REP-1 PCIe riser P952
> Board Serial : B5501404D0037130000EJ0LA
> Board Part Number : B81.01410.0013
>
> Jeffrey Hugo
> Senior Engineer
> Qualcomm Datacenter Technologies, Inc.
> 1-303-247-5002
>
> From: Jeff Hugo
> Sent: Thursday, May 11, 2017 11:42 AM
> To: 'Manoj Iyer' <email address hidden>
> Cc: Joseph Chang <email address hidden>;
> <email address hidden>
> Subject: RE: [Bug #1689886] Please test this kernel and report
> results for SRU.
>
> Hmm, that looks like it should work. I wonder why it didn’t seem
> to go well for me. I’ll give it another shot.
>
> Jeffrey Hugo
> Senior Engineer
> Qualcomm Datacenter Technologies, Inc.
> 1-303-247-5002
>
> From: Manoj Iyer [mailto:<email address hidden>]
> Sent: Thursday, May 11, 2017 11:21 AM
> To: Jeff Hugo <<email address hidden>...

Read more...

Manoj Iyer (manjo)
summary: - QDF2400 kernel oops on ipmitool fru write 0 fru.bin
+ [SRU][Zesty]QDF2400 kernel oops on ipmitool fru write 0 fru.bin
Revision history for this message
Thadeu Lima de Souza Cascardo (cascardo) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Revision history for this message
Manoj Iyer (manjo) wrote :

cascardo,

I need more time for verifying this bug, I need to co-ordinate with the engineer who has access to this hardware.

Revision history for this message
Manoj Iyer (manjo) wrote : Could you please verify the kernel in proposed?

Jeff,

Could you please help verify the following kernel on the REP?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1689886

You can enable zesty-proposed to the system by adding the line.

deb http://us.ports.ubuntu.com/ubuntu-ports/ zesty-proposed main
restricted

to /etc/apt/sources.list file, then do a sudo apt update; sudo apt
install linux-image-4.10.0-22-generic
linux-image-extra-4.10.0-22-generic

Please note that when you boot the system you will encounter the NMI
soft lockup because the patches to fix that has not yet been merged to
zesty and those are still under review.. but if you wait long enough it
should give you a log in prompt.

After you have verified that the kernel fixes the issue, please update
the tag to verifcation-done.

Thanks a ton
Manoj Iyer.

Revision history for this message
Qualcomm PPA Access Account (qsrvppa) wrote :

Verified

ubuntu@null-8cfdf006971f:~$ dmesg | head
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.10.0-22-generic (buildd@bos01-arm64-038) (gcc version 6.3.0 20170406 (Ubuntu/Linaro 6.3.0-12ubuntu2) ) #24-Ubuntu SMP Mon May 22 17:43:39 UTC 2017 (Ubuntu 4.10.0-22.24-generic 4.10.15)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]
[ 0.000000] efi: Getting EFI parameters from FDT:
[ 0.000000] efi: EFI v2.50 by American Megatrends
[ 0.000000] efi: ACPI 2.0=0x93f0000 SMBIOS 3.0=0xe41fd18 ESRT=0xd822098 RNG=0x58df598
[ 0.000000] esrt: Reserving ESRT space from 0x000000000d822098 to 0x000000000d822170.
[ 0.000000] ACPI: Early table checksum verification disabled
[ 0.000000] ACPI: RSDP 0x00000000093F0000 000024 (v02 QCOM )
[ 0.000000] ACPI: XSDT 0x00000000093E0000 00007C (v01 QCOM QDF2400 00000000 01000013)
ubuntu@null-8cfdf006971f:~$ ipmitool fru read 0 fru0.bin
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory
ubuntu@null-8cfdf006971f:~$ sudo ipmitool fru read 0 fru0.bin
[sudo] password for ubuntu:
Fru Size : 1024 bytes
Done
ubuntu@null-8cfdf006971f:~$ sudo ipmitool fru read 1 fru1.bin
Fru Size : 256 bytes
Done
ubuntu@null-8cfdf006971f:~$ sudo ipmitool fru print 0
 Chassis Type : Rack Mount Chassis
 Chassis Part Number : B81014010010
 Chassis Serial : 7150000FJ0SA
 Board Mfg Date : Tue Apr 11 02:47:00 2017
 Board Mfg : WIWYNN
 Board Product : QDF2400 Customer Reference Board
 Board Serial : B5501401D00271200026J0LA
 Board Part Number : B81.01410.0009
 Product Manufacturer : WIWYNN
 Product Name : QDF2400 Reference Evaluation Platform
 Product Part Number : CV90-LA115-P901
 Product Version : EVT
 Product Serial : B810140100107150000FJ0SA
 Product Asset Tag :
ubuntu@null-8cfdf006971f:~$ sudo ipmitool fru print 1
 Board Mfg Date : Mon Feb 20 10:01:00 2017
 Board Mfg : WIWYNN
 Board Product : REP-1 PCIe riser P950
 Board Serial : B5501406D00170200146J0LA
 Board Part Number : B81.01410.0012
 Board Extra : Rev A
ubuntu@null-8cfdf006971f:~$

tags: added: verification-done
removed: verification-needed-zesty
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (16.0 KiB)

This bug was fixed in the package linux - 4.10.0-22.24

---------------
linux (4.10.0-22.24) zesty; urgency=low

  * linux: 4.10.0-22.24 -proposed tracker (LP: #1691146)

  * Fix NVLINK2 TCE route (LP: #1690155)
    - powerpc/powernv: Fix TCE kill on NVLink2

  * CVE-2017-0605
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()

  * perf: qcom: Add L3 cache PMU driver (LP: #1689856)
    - [Config] CONFIG_QCOM_L3_PMU=y
    - perf: qcom: Add L3 cache PMU driver

  * No PMU support for ACPI-based arm64 systems (LP: #1689661)
    - drivers/perf: arm_pmu: rework per-cpu allocation
    - drivers/perf: arm_pmu: manage interrupts per-cpu
    - drivers/perf: arm_pmu: split irq request from enable
    - drivers/perf: arm_pmu: remove pointless PMU disabling
    - drivers/perf: arm_pmu: define armpmu_init_fn
    - drivers/perf: arm_pmu: fold init into alloc
    - drivers/perf: arm_pmu: factor out pmu registration
    - drivers/perf: arm_pmu: simplify cpu_pmu_request_irqs()
    - drivers/perf: arm_pmu: handle no platform_device
    - drivers/perf: arm_pmu: rename irq request/free functions
    - drivers/perf: arm_pmu: split cpu-local irq request/free
    - drivers/perf: arm_pmu: move irq request/free into probe
    - drivers/perf: arm_pmu: split out platform device probe logic
    - arm64: add function to get a cpu's MADT GICC table
    - [Config] CONFIG_ARM_PMU_ACPI=y
    - drivers/perf: arm_pmu: add ACPI framework
    - arm64: pmuv3: handle !PMUv3 when probing
    - arm64: pmuv3: use arm_pmu ACPI framework

  * [SRU][Zesty]QDF2400 kernel oops on ipmitool fru write 0 fru.bin
    (LP: #1689886)
    - ipmi: Fix kernel panic at ipmi_ssif_thread()

  * tty: pl011: fix earlycon work-around for QDF2400 erratum 44 (LP: #1689818)
    - tty: pl011: fix earlycon work-around for QDF2400 erratum 44
    - tty: pl011: use "qdf2400_e44" as the earlycon name for QDF2400 E44

  * kernel-wedge fails in artful due to leftover squashfs-modules d-i files
    (LP: #1688259)
    - Remove squashfs-modules files from d-i
    - [Config] as squashfs-modules is builtin kernel-image must Provides: it

  * arm64/ACPI support for SBSA watchdog (LP: #1688114)
    - clocksource: arm_arch_timer: clean up printk usage
    - clocksource: arm_arch_timer: rename type macros
    - clocksource: arm_arch_timer: rename the PPI enum
    - clocksource: arm_arch_timer: move enums and defines to header file
    - clocksource: arm_arch_timer: add a new enum for spi type
    - clocksource: arm_arch_timer: rework PPI selection
    - clocksource: arm_arch_timer: split dt-only rate handling
    - clocksource: arm_arch_timer: refactor arch_timer_needs_probing
    - clocksource: arm_arch_timer: move arch_timer_needs_of_probing into DT init
      call
    - clocksource: arm_arch_timer: add structs to describe MMIO timer
    - clocksource: arm_arch_timer: split MMIO timer probing.
    - [Config] CONFIG_ACPI_GTDT=y
    - acpi/arm64: Add GTDT table parse driver
    - clocksource: arm_arch_timer: simplify ACPI support code.
    - acpi/arm64: Add memory-mapped timer support in GTDT driver
    - clocksource: arm_arch_timer: add GTDT support for memory-mapped timer
    - acpi/arm64: Add SBS...

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers